//funcion para insertar los datos
function validar(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    // Deshabilitar el botón de envío
    const submitButton = document.getElementById('registrar');
    submitButton.disabled = true;
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            
            var msg = xhttp.responseText;
            if (msg.trim() == 'success') {
                $.confirm({
                  title: 'Guardado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                          $('#form').trigger('reset');
                          // Habilitar nuevamente el botón de envío
                            submitButton.disabled = false;
                      },
                  }

              });                
            } else {
                $.alert({
                    title: 'Erro al Guardar!',
                   content: 'Verificar',
                    theme: 'modern'
                });
            }

        }
    };
    xhttp.open("POST", "data/insert_vehiculo.php", true);
    xhttp.send(data);
 };
